using SportsDivision.Domain.Entities;

namespace SportsDivision.Domain.Interfaces;

public interface ITournamentEventLevelRepository : IRepository<TournamentEventLevel>
{
    Task<TournamentEventLevel?> GetWithRegistrationsAsync(int id);
    Task<TournamentEventLevel?> GetWithRoundsAsync(int id);
    Task<IEnumerable<TournamentEventLevel>> GetByTournamentAsync(int tournamentId);
    Task<TournamentEventLevel?> FindAsync(int tournamentId, int eventId, int eventLevelId);
}
